//This file - example of NemaStepper library.
#include <TimerOne.h>
#include "NemaStepper.h"
String inString;
bool IsStepperEnabled = false;

NemaStepper Stepper1(2, 3, 4, 5, 200, 10, false);
NemaStepper Stepper2(6, 7, 8, 9, 200, 10, false);
NemaStepper Stepper3(10, 11, 12, 13, 200, 10, false);
void setup() {
  Timer1.initialize(10);
  Timer1.attachInterrupt(OnTimerTick);
  Serial.begin(9600);
}

void loop() {
  if (IsStepperEnabled == true){
    Stepper1.Step();
    Stepper2.Step();
    Stepper3.Step();
  }
  GetCommandFromSerial();
}
void OnTimerTick() {

}
void GetCommandFromSerial() {
  if (Serial.available() > 0) {  //если есть доступные данные
    int inChar = Serial.read();
    if (inChar == '/') {
      String command = ((String)inString[0] + (String)inString[1] + (String)inString[2]);
      String param;
      int len = inString.length();
      for (int i = 3; i < len; i++) {
        param = (String)param + (String)inString[i];
      }
      if (command == "MV1") {
        Stepper1.SetStepCount(param.toInt());
        Serial.println(param.toInt());
      }
      if (command == "MV2") {
        Stepper2.SetStepCount(param.toInt());
        Serial.println(param.toInt());
      }
      if (command == "MV3") {
        Stepper3.SetStepCount(param.toInt());
        Serial.println(param.toInt());
      }
      if (command == "SS1") {
        Stepper1.SetSpeed(param.toInt());
        Serial.println(param.toInt());
      }
      if (command == "SS2") {
        Stepper2.SetSpeed(param.toInt());
        Serial.println(param.toInt());
      }
      if (command == "SS3") {
        Stepper3.SetSpeed(param.toInt());
        Serial.println(param.toInt());
      }
      if (command == "SB1") {
        Stepper1.SetBrakes(param.toInt());
        Serial.println(param.toInt());
      }
      if (command == "SB2") {
        Stepper2.SetBrakes(param.toInt());
        Serial.println(param.toInt());
      }
      if (command == "SB3") {
        Stepper3.SetBrakes(param.toInt());
        Serial.println(param.toInt());
      }
      if (command == "EMS") {
        IsStepperEnabled = true;
        Serial.println(param.toInt());
      }
      if (command == "DMS") {
        IsStepperEnabled = false;
        Serial.println(param.toInt());
      }
      inString = "";
    } else {
      inString += (char)inChar;
    }
  }
}
